commit: c32bd5fc0bfb391cfe6974fbf9988ab76a19ff3b
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 13:08:53 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 13:09:24 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c32bd5fc
sys-apps/fwupd: Fixed build with USE="minimal"
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-apps/fwupd/fwupd-1.3.2.ebuild | 18 ++++++++++--------
1 file changed, 10 insertions(+), 8 deletions(-)
diff --git a/sys-apps/fwupd/fwupd-1.3.2.ebuild
b/sys-apps/fwupd/fwupd-1.3.2.ebuild
index a1ab427a019..b8f2e661981 100644
--- a/sys-apps/fwupd/fwupd-1.3.2.ebuild
+++ b/sys-apps/fwupd/fwupd-1.3.2.ebuild
@@ -133,15 +133,17 @@ src_configure() {
src_install() {
meson_src_install
- sed "s@%SEAT_MANAGER%@$(usex elogind elogind consolekit)@" \
- "${FILESDIR}"/${PN}-r1 \
- > "${T}"/${PN} || die
- doinitd "${T}"/${PN}
+ if ! use minimal ; then
+ sed "s@%SEAT_MANAGER%@$(usex elogind elogind consolekit)@" \
+ "${FILESDIR}"/${PN}-r1 \
+ > "${T}"/${PN} || die
+ doinitd "${T}"/${PN}
- if ! use systemd ; then
- # Don't timeout when fwupd is running (#673140)
- sed '/^IdleTimeout=/s@=[[:digit:]]\+@=0@' \
- -i "${ED}"/etc/${PN}/daemon.conf || die
+ if ! use systemd ; then
+ # Don't timeout when fwupd is running (#673140)
+ sed '/^IdleTimeout=/s@=[[:digit:]]\+@=0@' \
+ -i "${ED}"/etc/${PN}/daemon.conf || die
+ fi
fi
}